=== debian/changelog ===
doc-base (0.8.7) unstable; urgency=low

  * Introduce /var/lib/doc-base/documents and dynamic generation of files
    there in doc-base control file format.  Interfaces like dhelp, dwww,
    or doc-central should use that dir instead  of /usr/share/doc.
  * Add support for merging control files to allow multiple binary packages
    provide the same documentation but in different formats.
  * Try to standarize values of the Section: field.
  * Add /etc/doc-base/documents in order to made it possible to register
    local documents with doc-base  (closes: #213847).

  * Dhelp.pm:
    + don't generate .dhelp files, since dhelp 0.6 no longer supports them.
    + add a code to register/unregister doc-base control files with dhelp,
      but not enable it yet.

  * postinst: Remove all already generated .dhelp files and reregister
    installed documentation files.
  * Documentation update.

 -- Robert Luberda <robert@debian.org>  Sun, 02 Dec 2007 14:18:25 +0100

doc-base (0.8.6) unstable; urgency=low

  * Rewrite Dhelp.pm to improve performance and minimise number dhelp_parse
    calls, which after its reimplementation in Ruby started to be extremally
    slow (it took `install-docs -I' ages to finish). Now, dhelp_parse will
    be called at most two times in each install-docs invokation.
  * Use 3-args open(), and also quote fields' values in our status file in
    order not to fail on control files containing spaces (closes: #444889).
  * Implement more checks of doc-base files, like unknown fields, duplicated
    fields, fields in wrong sections (closes: #423120). Turn them into
    warnings, since if they are errors, too many packages will fail to
    install.
  * Document.pm: try to minimise number of write_status_file() calls.
  * Ignore SIGINT and some other signals while doing critical operations.
  * Scrollkeeper.pm: scrollkeeper doesn't like `&' character (see bug#429847),
    replace it with `(and)'.
  * More code refactoring, but still not finished: use prototypes, fix typos,
    standarize messages, etc.

 -- Robert Luberda <robert@debian.org>  Sun, 28 Oct 2007 12:00:37 +0100

doc-base (0.8.5) unstable; urgency=low

  * DocBaseFile.pm: don't die() on invalid doc-base files (closes: #425686).
  * Fix a typo in Dhelp.pm.
  * Document the Author field (closes: #427794).

 -- Robert Luberda <robert@debian.org>  Tue, 17 Jul 2007 00:47:07 +0200
