=== debian/rules ===
#!/usr/bin/make -f
# vim:ts=2
# rules file for doc-base
# $Id: rules 68 2007-05-05 09:02:11Z robert $
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package		:= doc-base


build: build-stamp
build-stamp:
	dh_testdir
	
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean



install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=debian/$(package)
	install -m644 debian/lintian-overrides debian/$(package)/usr/share/lintian/overrides/$(package)

# Buily architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_undocumented
#	dh_installman 
	dh_link
	dh_compress
	dh_fixperms
	dh_perl
#	dh_python
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
