## doc-base 0.8.7ubuntu1

=== debian/changelog ===
doc-base (0.8.7ubuntu1) hardy-proposed; urgency=low

  * backport fix from 0.8.18 to fix potential upgrade 
    failures (LP: #349725)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 02 Apr 2009 13:31:57 +0200
