=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: doc-base
 Section: doc
 Priority: optional
-Maintainer: Robert Luberda <robert@debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Robert Luberda <robert@debian.org>
 Standards-Version: 3.7.2
 Build-Depends-Indep: debiandoc-sgml (>= 1.1.37)
 Build-Depends: debhelper (>= 5.0.26)
