## doc-base 0.8.16

=== debian/changelog ===
doc-base (0.8.16) unstable; urgency=medium

  * install-docs.in: Import Debian::DocBase::Utils (closes: #481121).

 -- Robert Luberda <robert@debian.org>  Wed, 14 May 2008 00:55:34 +0200

doc-base (0.8.15) unstable; urgency=medium

  * Fix the `--check' option which got broken in 0.8.12.

 -- Robert Luberda <robert@debian.org>  Tue, 13 May 2008 21:42:08 +0200

doc-base (0.8.14) unstable; urgency=low

  * Upload to unstable.
  * Move `Registering with...' messages from InstallDocs.pm to
    {Dhelp,Dwww,Scrollkeeper}.pm.

 -- Robert Luberda <robert@debian.org>  Sat, 26 Apr 2008 19:26:31 +0200

doc-base (0.8.13) experimental; urgency=low

  * Remove dpkg-triggers call from prerm and always register changed files
    in postinst.
  * InstallDocs.pm: 
    + change behaviour of `-R' option to unregister doc-base files by removal 
      of our databases. This could be useful if database gets damaged;
    + get Document-Id of removed doc-base files from files.db;
    + show nicer statistics about install-docs actions.
  * DocBaseFile.pm: remove PARSE_* variables.
  * doc-base.sgml: minor update, fix typos.
  * install-docs.in: don't print debugging info about skipping install-docs run.
  * control: bump conflict with dwww.
  * Merge changes from  0.8.10.1.

 -- Robert Luberda <robert@debian.org>  Wed, 23 Apr 2008 22:46:50 +0200

doc-base (0.8.12) experimental; urgency=low

  * Enhance doc-base dpkg's triggers support. Instead of simply re-registering
    all available files, install-docs, when triggered, will find out names of
    removed, changed or added /u/s/doc-base/* files and take appropriate
    action on them.

  * Change format of internal database of registered documents from plain
    text files to DBM files (managed with GDBM_File and MLDBM):
    + add new DB.pm module to provide access to database;
    + move contents of old *.status files to new status.db;
    + save timestamps and document-ids of registered /u/s/doc-base/* files
      in a new files.db database;
    + the timestamps will be saved even for broken doc-base files, that
      cannot be properly registered;
    + make necessary changes in our other *.pm to support the new databases.

  * install-docs.in:
    + add new --install-changed option, which compares contents of the files.db
      database with contents of /u/s/doc-base dir and registers only changed
      files; use this option for processing trigger in postinst;
    + new --dump-db option for debugging our databases;
    + update POD docs.

  * InstallDocs.pm: print some additional messages to give clue what is
    actually being done.
  * DocBaseFile.pm, Document.pm: refactor function names.
  * debian/control: add dependency on libmldbm-perl and build-dependency on
    libmldbm-perl and libperl-uuid.
  * debian/preinst: remove old plain text databases, call dpkg-trigger.
  * debian/postinst: don't process triggers until our databases exist.

 -- Robert Luberda <robert@debian.org>  Tue, 08 Apr 2008 22:07:06 +0200

doc-base (0.8.11) experimental; urgency=low

  * Make use of the new dpkg triggers feature:
    + provide debian/triggers file;
    + change postinst to reinstall all docs on trigger activation;
    + install-docs is now no-op if called from other packages' installation
      or removal scripts;
    + remove obsolete (created by doc-base << 0.8.7) dhelp/scrollkeeper files
      in preinst rather than in postinst.

  * Document.pm: remove a perl warning issued on removal doc-base files that
    have been already deleted.
  * Scrollkeeper.pm: switch from scrollkeeper-gen-seriesid to UUID.pm.
  * Dwww.pm: call dwww-build-menu directly (without update-menus).

  * debian/control:
    + add dependency on dpkg (>= 1.14.17) and libperl-uuid;
    + move scrollkeeper from Depends to Suggests field.

  * doc-base.sgml:
    + add OCaml as an example sub-section of Programming (closes: #472501);
    + add TODO entry related to triggers support.

 -- Robert Luberda <robert@debian.org>  Sun, 24 Feb 2008 11:46:13 +0100

doc-base (0.8.10.1) unstable; urgency=high

  * DocBaseFile.pm: workaround Perl crash by decreasing maximum length of
    line that is checked for non-UTF-8 chars (closes: #477512).

 -- Robert Luberda <robert@debian.org>  Wed, 23 Apr 2008 22:26:54 +0200

doc-base (0.8.10) unstable; urgency=low

  * doc-base.sgml:
    + define real section hierarchy (closes: #109431), strongly based on the
      menu one with a few doc-base specific sections added;
    + doc-base files should be UTF-8 encoded.
    + review TODO list.
  * DocBaseFile.pm:
    + try to recode files to UTF-8 at install time,
    + warn on unknown doc-base sections.
  * Utils.pm: Remove latin1 encoding support from HTMLEncode.
  * While reregistering all documents run `dhelp_parse -r' to avoid index++
    runs.
  * Build with debhelper v6.

 -- Robert Luberda <robert@debian.org>  Fri, 22 Feb 2008 23:59:05 +0100

doc-base (0.8.9) unstable; urgency=low

  * Fix typos in doc-base.map (closes: #460505).
  * Update sections in scrollkeeper.map.

 -- Robert Luberda <robert@debian.org>  Sun, 27 Jan 2008 13:36:37 +0100

doc-base (0.8.8) unstable; urgency=low

  * Remove /var/lib/doc-base on package removal (closes: #454069).
  * Strip Apps and Applications prefixes from Section field values.
  * Enable dhelp registration, conflicts with dhelp << 0.6.5.
  * Standards-Version: 3.7.3 (no changes).

 -- Robert Luberda <robert@debian.org>  Sat, 22 Dec 2007 13:22:11 +0100
