=== debian/control ===
Source: doc-base
Section: doc
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Standards-Version: 3.7.3
Build-Depends-Indep: debiandoc-sgml (>= 1.1.37), libmldbm-perl, libuuid-perl
Build-Depends: debhelper (>= 6)

Package: doc-base
Depends: ${perl:Depends}, libuuid-perl, dpkg (>= 1.14.17), libmldbm-perl
Suggests: dhelp | dwww | doc-central | yelp | khelpcenter, scrollkeeper
Conflicts: dhelp (<< 0.6.7), dwww (<< 1.10.13~)
Architecture: all
Description: utilities to manage online documentation
 This package contains utilities to manage documentation installed on
 a Debian system.  It contains a database of document metadata.
 Various third-party systems such as 'dwww', 'dhelp',  'doc-central' 
 or 'scrollkeeper'  use this data to provide a catalog of available 
 documentation.
 .
 If you want to get additional information about 'doc-base' please
 consult the `Debian doc-base Manual' included in this package.
