=== debian/changelog ===
doc-base (0.8.20) unstable; urgency=low

  * debian/postinst: Use `find -print0 | xargs -0' to handle spaces in 
    old list/status file names (closes: #512390).

 -- Robert Luberda <robert@debian.org>  Sat, 24 Jan 2009 00:01:10 +0100

doc-base (0.8.19) unstable; urgency=low

  * While checking for changed files, remove from our database files
    that no longer exists and were never registered because of errors.
  * Fix warning messages for checks that are done after checked file 
    is closed (e.g. section check).

 -- Robert Luberda <robert@debian.org>  Mon, 05 Jan 2009 22:25:08 +0100

doc-base (0.8.18) unstable; urgency=medium

  * install-docs.in: include $opt_rootdir in used vars not to fail when
    Perl is in unusable state (closes: #501874). In such a case install-docs
    should try to recover on next invokation (see entry for version 0.8.4)

 -- Robert Luberda <robert@debian.org>  Sun, 16 Nov 2008 22:34:09 +0100

doc-base (0.8.17) unstable; urgency=low

  * doc-base.map: add a few self-mappings to prevent install-docs from
    incorrectly changing case of characters in sections like Help/HOWTO
    (without such a mapping the section name is turned into Help/Howto).
  * postinst: re-register all docs for the above change to be propagated.
  * DocBaseFile.pm: ignore dpkg temporary files while interating through
    /usr/share/doc-base dir contents.
  * Document.pm: remove doc-base file entry from files.db database even
    if the relevant document is not registered.
  * Scrollkeeper.pm: fix dates in generated omf files.
  * Standards-Version: 3.8.0 (no changes). 

 -- Robert Luberda <robert@debian.org>  Tue, 11 Nov 2008 11:19:02 +0100
