=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: doc-base
 Section: doc
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 3.7.3
+Maintainer: Robert Luberda <robert@debian.org>
+Standards-Version: 3.8.0
 Build-Depends-Indep: debiandoc-sgml (>= 1.1.37), libmldbm-perl, libuuid-perl
 Build-Depends: debhelper (>= 6)
