## doc-base 0.9.3

=== debian/changelog ===
doc-base (0.9.3) unstable; urgency=low

  * Fix grammar in German translation (closes: #527054).
  * Update French translation (closes: #527562). 

 -- Robert Luberda <robert@debian.org>  Sun, 07 Jun 2009 22:00:12 +0200

doc-base (0.9.2) unstable; urgency=low

  * Add missing spaces into pod documentation (closes: #520238).
  * Fix typo in scrollkeeper.map (closes: #524153).
  * po/pod/po4a.cfg: use [po_directory], instead of [po4a_langs]
  * debian/control: 
    + bump po4a build-dependency to 0.35 for the above feature;
    + Standards-Version: 3.8.1 (no changes).
  * New translations:
    + French (closes: #524358);
    + German (closes: #522033, #521833).
  * Add linitian overrides for `useless-call-to-installdocs'.
  * copyright: refer to the GPL-2 common-lincenses file (lintian). 

 -- Robert Luberda <robert@debian.org>  Sun, 03 May 2009 07:50:19 +0200

doc-base (0.9.1) unstable; urgency=low

  * Upload to unstable.
  * Merge changes from 0.8.20.
  * install-docs.in: update section reference of dwww man page.

 -- Robert Luberda <robert@debian.org>  Sun, 22 Feb 2009 13:32:09 +0100

doc-base (0.9.0) experimental; urgency=low

  * Extend scrollkeeper.map (closes: #497272). Many thanks to Deng Xiyue
    for the patch.
  * Add NLS support for doc-base script and man pages (closes:  #479011).
  * Add Polish translation of the script and man pages.
  * DocBaseFile.pm: insert into files.db also existing files that don't 
    contain valid document it.
  * Reorganise source tree:
    + clean & improve build system;
    + move doc-base.sgml to doc subdir;
    + set debhelper compat level to 7.
  * debian/rules: use dh_prep instead of `dh_clean -k' (lintian) 
  * Add po4a to build-dependencies. 

 -- Robert Luberda <robert@debian.org>  Sun, 11 Jan 2009 15:14:02 +0100
