=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,17 @@
 #!/usr/bin/make -f
 # vim:ts=2
 # rules file for doc-base
-# $Id: rules 68 2007-05-05 09:02:11Z robert $
+# $Id: rules 175 2009-01-05 22:31:40Z robert $
 #
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-package		:= doc-base
+package   := doc-base
+stamp     := _build/build-stamp
 
+build: $(stamp)
 
-build: build-stamp
-build-stamp:
+$(stamp):
 	dh_testdir
 	
 	$(MAKE)
@@ -19,7 +20,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp
+	rm -f $(stamp)
 	$(MAKE) clean
 	dh_clean
 
@@ -28,10 +29,10 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
-	$(MAKE) install DESTDIR=debian/$(package)
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/$(package)
 	install -m644 debian/lintian-overrides debian/$(package)/usr/share/lintian/overrides/$(package)
 
 # Buily architecture-independent files here.
