## doc-base 0.9.5

=== debian/changelog ===
doc-base (0.9.5) unstable; urgency=low

  * Add a `Typesetting' top-level section for software used to typesetting 
    text and graphics from structured input files (closes: 486144)..
  * Map the unofficial `Tex' section into `Typesetting'; re-register all 
    documents. 
  * Fix package description and dependencies (closes: #550086).

 -- Robert Luberda <robert@debian.org>  Thu, 15 Oct 2009 11:26:27 +0200

doc-base (0.9.4) unstable; urgency=low

  * Add Spanish translations (closes: #539706, #539707).
  * doc-base.sgml: update, mention triggers (closes: #542038).
  * install-docs.in: fix a typo in pod documentation.
  * rules: use dh_lintian instead for installing a override file.
  * Standards-Version: 3.8.3 (no changes).

 -- Robert Luberda <robert@debian.org>  Thu, 10 Sep 2009 21:15:33 +0200
