=== debian/changelog ===
doc-base (0.9.5ubuntu2) natty; urgency=low

  * perl/Debian/DocBase/InstallDocs.pm: Fix mkdir invocation.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 09 Nov 2010 19:36:29 +0100

doc-base (0.9.5ubuntu1) natty; urgency=low

  * perl/Debian/DocBase/Programs/Scrollkeeper.pm: Provide our own local
    dirname() function and use it instead of File::Basename.
  * perl/Debian/DocBase/InstallDocs.pm: Use 'rm -r' and 'mkdir -p' programs
    instead of File::Path.
  * perl/Debian/DocBase/DB.pm: If Dumper module is not available, exit with an
    error that perl needs to be installeld. --dump-db is only required for
    debugging.
  * debian/rules: Run dh_perl with '-d' to avoid perl dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 09 Nov 2010 13:24:19 +0100
