=== debian/rules ===
--- 
+++ 
@@ -60,7 +60,7 @@
 	dh_link
 	dh_compress
 	dh_fixperms
-	dh_perl
+	dh_perl -d
 #	dh_python
 	dh_installdeb
 	dh_gencontrol
