## doc-base 0.10.2

=== debian/changelog ===
doc-base (0.10.2) unstable; urgency=low

  * DocBaseFile.pm: Ignore temporary/backup files in both /usr/share/doc-base
    and /etc/doc-base/documents (closes: #623169).
  * Update German translations (closes: #624345).
  * Update French translations (closes: #627284).
  * debian/control:
    + Add VCS fields;
    + Standards-Version: 3.9.2 (no changes).

 -- Robert Luberda <robert@debian.org>  Fri, 01 Jul 2011 22:40:55 +0200

doc-base (0.10.1) unstable; urgency=low

  * DocBaseFile.pm, InstallDocs.pm:
    + while getting changed files, don't schedule not yet registered files 
      for removal;
    + if some documents cannot be registered and verbose messages are turned 
      off, inform the user how to get the more detailed reasons of the errors.

 -- Robert Luberda <robert@debian.org>  Sun, 06 Mar 2011 18:48:55 +0100

doc-base (0.10.0) unstable; urgency=low

  * Applied a bit modified patch from  Martin Pitt @ Ubuntu to remove dependency
    on perl (closes: #602919):
    + Scrollkeeper.pm: provide our own local dirname() function and use it
      instead of File::Basename;
    + InstallDocs.pm: use the `rm -r' and 'mkdir -p' programs instead of
      File::Path;
    + debian/rules: run dh_perl with '-d' to avoid perl dependency.

  * Switch internal databases format from MLDBM to YAML and provide better
    error recovery from database corruption:
    + DB.pm: use YAML::Tiny module for storing our internal databases;
    + Util.pm: introduce Fatal() function and differentiate exit codes
      by type of error;
    + make the Fatal() function call
    + debian/control: switch dependency on libmdlbm-perl to libyaml-tiny-perl;
    + debian/postinst: try to recover for yaml files corruption by deleting
      them and re-spawning install-docs.

  * Translations handling:
    + patch from David Prévot not to assume word ordering in translated
      strings (closes: #606475);
    + patch from Chris Leick to fix plurals in the strings (closes: #521384);
    + English messages cleanups;
    + mark more doc-base messages as translatable;
    + Update Polish translation of binary.

  * doc-base.sgml:
    + prepend a top-level section name section names to make it more visible
      that sections' components are separated by slash (closes: #578331);
    + add the `Network/Remote Access' section (closes: #555161);
    + the Network section has two levels, not three (closes: #615488).

  * Don't create scrollkeeper files when rarian-compat is not installed
    (closes: #419745)
    + debian/triggers: interest on /usr/share/doc/rarian-compat to be
      notified of installs/removals of rarian-compat
  * DocBaseFile.pm: fix `no valid Format found' check.
  * Scrollkeeper.pm: avoid `unsuccessful stat on file contains new line'
    warnings given by perl (closes: #607498, #614330).

  * Ubuntu bugs handling:
    + install-docs.in: check if the Pod::Usage module is available before
      using it (LP: #431270, #510976);
    + this version gets rid of MLDBM and provides a better handling of
      databases corruption, to prevent `read error' bugs
      (LP: #695319, #675069, #672364, #668856, #652102, #621345);
    + debian/prerm: downgrade the `cannot find install-docs on path' error
      to a warning to make it possible to remove doc-base when install-docs
      is not available for some reason (LP: #391464);
    + the `/usr/share/doc-base/data/doc-base.map' file is provided in the
      package, it must have been deleted either manually or by filesystem
      error (LP: #660345, #646629);
    + close bugs that are duplicates of Debian bug#501874, fixed in 0.8.18
      (LP: #247718, #249160, #250252, #314996, #327101, #327104).

  * debian/rules: switch to the tiny format from debhelper and add support for
    build-arch and build-indep targets.
  * debian/control:
    + sort dependency fields with wrap-and-sort from the
      ubuntu-dev-tools package;
    + drop versioned conflicts with old versions of dwww and dhelp;
    + drop versioned dependency on dpkg;
    + Standards-Version: 3.9.1.
  * Bump debhelper compat mode to 8.
  * Set source format to `3.0 (native)'.
  * Fix spelling typos found by lintian.
  * Remove ancient stuff from preinst.
  * Re-register all docs when upgrading to this version.

 -- Robert Luberda <robert@debian.org>  Fri, 04 Mar 2011 15:04:51 +0100
