=== debian/control ===
Source: doc-base
Section: doc
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Standards-Version: 3.9.2
Build-Depends-Indep: debiandoc-sgml (>= 1.1.37),
                     libuuid-perl,
                     libyaml-tiny-perl,
                     po4a (>= 0.35)
Build-Depends: debhelper (>= 8)
Vcs-Git: git://anonscm.debian.org/users/robert/doc-base.git
Vcs-Browser: http://anonscm.debian.org/git/users/robert/doc-base.git

Package: doc-base
Depends: libuuid-perl, libyaml-tiny-perl, ${misc:Depends}, ${perl:Depends}
Suggests: dhelp | dwww | doc-central | yelp | khelpcenter4, rarian-compat
Architecture: all
Description: utilities to manage online documentation
 This package contains utilities to manage documentation installed on
 a Debian system. It generates a database of document metadata, which
 other packages such as dwww, dhelp, doc-central, and rarian-compat
 can use to provide a catalog of available documentation.
 .
 For additional information see the Debian doc-base Manual included in
 this package.
