=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                      po4a (>= 0.35)
 Build-Depends: debhelper (>= 8)
 Vcs-Git: git://anonscm.debian.org/users/robert/doc-base.git
-Vcs-Browser: http://anonscm.debian.org/git/users/robert/doc-base.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/doc-base.git
 
 Package: doc-base
 Depends: libuuid-perl, libyaml-tiny-perl, ${misc:Depends}, ${perl:Depends}
