=== debian/changelog ===
doc-base (0.10.4) unstable; urgency=low

  * Add Japanese translations (closes: #675048).
  * Standards-Version: 3.9.3.
  * Bump debhpelper's compat level to 9.

 -- Robert Luberda <robert@debian.org>  Sat, 02 Jun 2012 14:46:18 +0200
