=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: doc
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends-Indep: debiandoc-sgml (>= 1.1.37),
                      libuuid-perl,
                      libyaml-tiny-perl,
                      po4a (>= 0.35)
-Build-Depends: debhelper (>= 8)
+Build-Depends: debhelper (>= 9)
 Vcs-Git: git://anonscm.debian.org/users/robert/doc-base.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/doc-base.git
